# Makefile for SCO UNIX

SHELL = /bin/sh
INCLSYS = /usr/include/sys
LKDRVRDIR = /etc/conf/pack.d/fas
LKSCONFDIR = /etc/conf/sdevice.d
LKNCONFDIR = /etc/conf/node.d
LKICONFDIR = /etc/conf/init.d
LKDEFINES = `test -r /etc/conf/cf.d/defines && cat /etc/conf/cf.d/defines; exit 0`
DRVRNAME = Driver.o
CONFNAME = fas

CC = rcc
CFLAGS = -O -DINKERNEL -D_INKERNEL $(LKDEFINES)

# Don't attach a `-D' to the OS dependent defines!
OS_DEP_DEFS = SCO

all:		fas.o

fas.o:		fas.s
# Comment out the next two lines if you're using GCC
	awk -f optim_att.awk fas.s > fas.tmp
	mv -f fas.tmp fas.s
	$(CC) -c fas.s

fas.s:		fas.c fas.h Makefile
	$(SHELL) os_dep_update fas.h $(OS_DEP_DEFS)
	$(CC) $(CFLAGS) -S fas.c

install:	all space.c s_$(CONFNAME) n_$(CONFNAME) i_$(CONFNAME) \
		fas.h
	test -d $(LKDRVRDIR) || mkdir $(LKDRVRDIR)
	chmod 755 $(LKDRVRDIR)
	cp fas.o $(LKDRVRDIR)/$(DRVRNAME)
	chmod 644 $(LKDRVRDIR)/$(DRVRNAME)
	cp space.c $(LKDRVRDIR)/space.c
	chmod 644 $(LKDRVRDIR)/space.c
	cp s_$(CONFNAME) $(LKSCONFDIR)/$(CONFNAME)
	chmod 644 $(LKSCONFDIR)/$(CONFNAME)
	cp n_$(CONFNAME) $(LKNCONFDIR)/$(CONFNAME)
	chmod 644 $(LKNCONFDIR)/$(CONFNAME)
	test -f $(LKICONFDIR)/$(CONFNAME) || \
		cp i_$(CONFNAME) $(LKICONFDIR)/$(CONFNAME)
	chmod 644 $(LKICONFDIR)/$(CONFNAME)
	cp fas.h $(INCLSYS)/fas.h
	chmod 444 $(INCLSYS)/fas.h

space.c:
	@echo "You must copy the proper space-xxxxx file to \`space.c'"
	@false

s_$(CONFNAME):
	@echo "You must copy the proper s_$(CONFNAME)-xxxxx file to \`s_$(CONFNAME)'"
	@false

n_$(CONFNAME):
	@echo "You must copy the proper n_$(CONFNAME)-xxxxx file to \`n_$(CONFNAME)'"
	@false

i_$(CONFNAME):
	@echo "You must copy the proper i_$(CONFNAME)-xxxxx file to \`i_$(CONFNAME)'"
	@false

fas.h:
	@echo "The file \`fas.h' is missing for some reason"
	@false

clean:
	rm -f fas.s fas.tmp fas.o

clobber:	clean

